#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: removeManagerHyperVisorPermission.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Removes 'manage hypervisors' permission from the
# DB2 table cloud.role_perms in the database maxdb71.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

su - $WASRXUSER -c "db2 << EOF
connect to $DB2MAXIMODBNAME user $DB2MAXIMOUSER using $DB2MAXIMOPW
delete from cloud.role_perms where perm_code=60
EOF
"
