#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: setFilePermissions.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Sets the permissions of the remaining InstallAnywhere
# Installation files to 700.

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

IFS=":"
FILELIST="files/cloudPostinstallWindows.zip:.com.zerog.registry.xml:Uninstall_IBM_Tivoli_Service_Automation_Manager_License:Uninstall_Uninstall_IBM_Tivoli_Service_Automation_Manager_License.lax"
cd ${TSAM_HOME}
for FILE in $FILELIST
do
	if test -f ${FILE}
	then
		chmod 700 ${FILE}
	fi
done
