#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: startApplicationMAXIMO.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Logs into Websphere trought the ws_admin script and alls the 
# jython script set in the variable
# $START_APPLICATION_JYTHON.
# Variables are set trought the script setupEnv.sh
# Starts the WebSphere Application "MAXIMO".

workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"
echo $TIO_HOME/soapclient/tpmlteSoap/soapcli.sh $MAXADMIN xxxxxxxx http://localhost:8777/ws/pid/TpmLiteSoapService?wsdl createDeploymentRequest TPMfOSd_VersionDiscovery
$TIO_HOME/soapclient/tpmlteSoap/soapcli.sh $MAXADMIN $MAXADMIN_PW http://localhost:8777/ws/pid/TpmLiteSoapService?wsdl createDeploymentRequest TPMfOSd_VersionDiscovery
