#!/bin/bash
##################################################################
# Licensed Materials - Property of IBM
# 5724-W78
# (C) Copyright IBM Corp. 2010
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##################################################################

#
# Name: stopTIO.sh
#
# This script is called by "configureTSAM.sh"
# This script is not called directly by the user.
# It is not recommended to call this script directly!
#
# Stops the complete TIO stack:
# TPM core components
# WebSphere Application Server server1
# WebSphere Application Server MXServer
# WebSphere Nodeagent
# WebSphere Deployment manager


workDir=`dirname "$0"`
. "$workDir/setupEnv.sh"

echo "su - $WASRXUSER -c \"\$TIO_HOME/tools/tio.sh stop $WASADMIN ********\""
su - $WASRXUSER -c "\$TIO_HOME/tools/tio.sh stop $WASADMIN $WASADMIN_PW"
