#!/bin/sh
# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp. 2009
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------

# Check for supported AIX release
#
MYVER=`oslevel -s | cut -d'-' -f1`
MYOSUPD=`oslevel -s | cut -d'-' -f2`

CORRECTOS=FALSE
case $MYVER in
	6100)
		REQDOSUPD=01
		[ $MYOSUPD -ge $REQDOSUPD ] && CORRECTOS=TRUE
		;;
	*)
		;;
esac

if [ "$CORRECTOS" = "FALSE" ]; then
    exit 1
fi
exit 0
